geos::noding::snap::SnappingNoder Class Reference

`#include <SnappingNoder.h>`

Inheritance diagram for geos::noding::snap::SnappingNoder:

## Public Member Functions

| SnappingNoder (double p_snapTolerance)
std::vector< SegmentString * > * | getNodedSubstrings () const override
void | computeNodes (std::vector< SegmentString * > *inputSegStrings) override
| Computes the noding for a collection of SegmentStrings.

## Detailed Description

Nodes a set of segment strings snapping vertices and intersection points together if they lie within the given snap tolerance distance. Vertices take priority over intersection points for snapping. Input segment strings are generally only split at true node points (i.e. the output segment strings are of maximal length in the output arrangement).

The snap tolerance should be chosen to be as small as possible while still producing a correct result. It probably only needs to be small enough to eliminate "nearly-coincident" segments, for which intersection points cannot be computed accurately. This implies a factor of about 10e-12 smaller than the magnitude of the segment coordinates.

With an appropriate snap tolerance this algorithm appears to be very robust. So far no failure cases have been found, given a small enough snap tolerance.

The correctness of the output is not verified by this noder. If required this can be done by `noding::ValidatingNoder`.

## Constructor & Destructor Documentation

## SnappingNoder()

geos::noding::snap::SnappingNoder::SnappingNoder | ( | double | p_snapTolerance | ) |

inline

Creates a snapping noder using the given snap distance tolerance.

Parameters

  p_snapTolerance | points are snapped if within this distance

## Member Function Documentation

## computeNodes()

void geos::noding::snap::SnappingNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of `SegmentString`s to node The caller remains responsible for releasing the memory associated with the container and its elements.

Implements geos::noding::Noder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::snap::SnappingNoder::getNodedSubstrings | ( |  | ) | const

override virtual

Returns
  a Collection of NodedSegmentStrings representing the substrings

Implements geos::noding::Noder.

The documentation for this class was generated from the following file:

- SnappingNoder.h